#include "mk20dx128.h"

#include "usbtsy/usb_dev.h"
#include "usbtsy/usb_debug_hid.h"

#define _BV(n) (1<<(n))

int main(void) {
	PORTC_PCR5  |= _BV(8); // Digital IO
	GPIOC_PDDR |= _BV(5);
	GPIOC_PDOR |= _BV(5);
	
	usb_init();
	while(!usb_configuration);
  
 
  while(1) 
  {
    GPIOC_PTOR = _BV(5);
    usb_debug_print("=) ");
    usb_debug_flush_output();
    uint32_t n=0;
    while(n++<0x1FFFFF);
  }
}



